VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1860
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9330
   LinkTopic       =   "Form1"
   ScaleHeight     =   1860
   ScaleWidth      =   9330
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdDelete 
      Caption         =   "Delete"
      Height          =   495
      Left            =   2160
      TabIndex        =   2
      Top             =   600
      Width           =   1215
   End
   Begin VB.TextBox txtDir 
      Height          =   285
      Left            =   960
      TabIndex        =   1
      Top             =   120
      Width           =   4575
   End
   Begin VB.Label lblStatus 
      BorderStyle     =   1  'Fixed Single
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   1320
      Width           =   5415
   End
   Begin VB.Label Label1 
      Caption         =   "Directory"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   735
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Delete this directory and all the files it contains.
Private Sub DeleteDirectory(ByVal dir_name As String)
Dim file_name As String
Dim files As Collection
Dim i As Integer

    ' Get a list of files it contains.
    Set files = New Collection
    file_name = Dir$(dir_name & "\*.*", vbReadOnly + vbHidden + vbSystem + vbDirectory)
    Do While Len(file_name) > 0
        If (file_name <> "..") And (file_name <> ".") Then
            files.Add dir_name & "\" & file_name
        End If
        file_name = Dir$()
    Loop

    ' Delete the files.
    For i = 1 To files.Count
        file_name = files(i)
        ' See if it is a directory.
        If GetAttr(file_name) And vbDirectory Then
            ' It is a directory. Delete it.
            DeleteDirectory file_name
        Else
            ' It's a file. Delete it.
            lblStatus.Caption = file_name
            lblStatus.Refresh
            SetAttr file_name, vbNormal
            Kill file_name
        End If
    Next i

    ' The directory is now empty. Delete it.
    lblStatus.Caption = dir_name
    lblStatus.Refresh

    ' Remove the read-only flag if set.
    ' (Thanks to Ralf Wolter.)
    SetAttr dir_name, vbNormal
    RmDir dir_name
End Sub

Private Sub cmdDelete_Click()
    DeleteDirectory txtDir.Text
    lblStatus.Caption = "Files deleted."
End Sub

Private Sub Form_Load()
Dim txt As String

    txt = App.Path
    If Right$(txt, 1) <> "\" Then txt = txt & "\"
    txt = txt & "Target"
    txtDir.Text = txt
End Sub

Private Sub Form_Resize()
Dim wid As Single
Dim hgt As Single

    wid = ScaleWidth - txtDir.Left - 120
    If wid < 120 Then wid = 120
    txtDir.Width = wid

    wid = ScaleWidth - lblStatus.Left - 120
    If wid < 120 Then wid = 120
    lblStatus.Width = wid

    cmdDelete.Left = (ScaleWidth - cmdDelete.Width) / 2
End Sub
